Zum Hauptinhalt springen
PUT
/
crm
/
lists
/
2026-03
/
folders
/
{folderId}
/
rename
cURL
curl --request PUT \
  --url https://api.hubapi.com/crm/lists/2026-03/folders/{folderId}/rename \
  --header 'Authorization: Bearer <token>'
{
  "folder": {
    "childLists": [
      123
    ],
    "childNodes": "<array>",
    "id": "<string>",
    "parentFolderId": "<string>",
    "createdAt": "2023-11-07T05:31:56Z",
    "name": "<string>",
    "updatedAt": "2023-11-07T05:31:56Z",
    "updatedContentsAt": "2023-11-07T05:31:56Z",
    "userId": 123
  }
}

Supported products

Autorisierungen

Authorization
string
header
erforderlich

The access token received from the authorization server in the OAuth 2.0 flow.

Pfadparameter

folderId
string
erforderlich

Abfrageparameter

newFolderName
string

Antwort

successful operation

folder
object
erforderlich
Last modified on April 9, 2026